<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionCraftImprovisedEyePatch Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dba/class_action_craft_improvised_eye_patch.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionCraftImprovisedEyePatch Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionCraftImprovisedEyePatch:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/dba/class_action_craft_improvised_eye_patch.png" usemap="#ActionCraftImprovisedEyePatch_map" alt=""/>
  <map id="ActionCraftImprovisedEyePatch_map" name="ActionCraftImprovisedEyePatch_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,191,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afd0db10d2b20c82bc4d7421fb3efbcdb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dba/class_action_craft_improvised_eye_patch.html#afd0db10d2b20c82bc4d7421fb3efbcdb">ActionCraftImprovisedEyePatch</a> ()</td></tr>
<tr class="separator:afd0db10d2b20c82bc4d7421fb3efbcdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99b13b1a3f3e8b426f1b8b8384f71ce3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dba/class_action_craft_improvised_eye_patch.html#a99b13b1a3f3e8b426f1b8b8384f71ce3">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a99b13b1a3f3e8b426f1b8b8384f71ce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06aa3761d51121ec190f03cf9132baa3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dba/class_action_craft_improvised_eye_patch.html#a06aa3761d51121ec190f03cf9132baa3">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a06aa3761d51121ec190f03cf9132baa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25d7a87f2c9096b23cd5f1b7e164ec4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dba/class_action_craft_improvised_eye_patch.html#ae25d7a87f2c9096b23cd5f1b7e164ec4">HasTarget</a> ()</td></tr>
<tr class="separator:ae25d7a87f2c9096b23cd5f1b7e164ec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a46bbb6bb3b953b2f62d10559c37b12"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dba/class_action_craft_improvised_eye_patch.html#a8a46bbb6bb3b953b2f62d10559c37b12">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a8a46bbb6bb3b953b2f62d10559c37b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html#l00009">9</a> of file <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afd0db10d2b20c82bc4d7421fb3efbcdb" name="afd0db10d2b20c82bc4d7421fb3efbcdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd0db10d2b20c82bc4d7421fb3efbcdb">&#9670;&#160;</a></span>ActionCraftImprovisedEyePatch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionCraftImprovisedEyePatch::ActionCraftImprovisedEyePatch </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html#l00011">11</a> of file <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a06aa3761d51121ec190f03cf9132baa3" name="a06aa3761d51121ec190f03cf9132baa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06aa3761d51121ec190f03cf9132baa3">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCraftImprovisedEyePatch::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html#l00027">27</a> of file <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a>.</p>

</div>
</div>
<a id="a99b13b1a3f3e8b426f1b8b8384f71ce3" name="a99b13b1a3f3e8b426f1b8b8384f71ce3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99b13b1a3f3e8b426f1b8b8384f71ce3">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCraftImprovisedEyePatch::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html#l00021">21</a> of file <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a>.</p>

</div>
</div>
<a id="ae25d7a87f2c9096b23cd5f1b7e164ec4" name="ae25d7a87f2c9096b23cd5f1b7e164ec4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae25d7a87f2c9096b23cd5f1b7e164ec4">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCraftImprovisedEyePatch::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html#l00032">32</a> of file <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a>.</p>

</div>
</div>
<a id="a8a46bbb6bb3b953b2f62d10559c37b12" name="a8a46bbb6bb3b953b2f62d10559c37b12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a46bbb6bb3b953b2f62d10559c37b12">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCraftImprovisedEyePatch::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html#l00037">37</a> of file <a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d6/d5c/_action_craft_improvised_eye_patch_8c_source.html">ActionCraftImprovisedEyePatch.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/dba/class_action_craft_improvised_eye_patch.html">ActionCraftImprovisedEyePatch</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
